package com.neusoft.smart.pos.ota.persistent.domain;

import java.io.Serializable;
import java.util.Date;

public class ApkVersion implements Serializable {
    private Integer id;

    private Integer appId;

    private String apkName;

    private Integer apkSize;

    private String apkVersion;

    private String apkDownloadPath;

    private String apkReleaseNote;

    private Integer createBy;

    private Date createTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getAppId() {
        return appId;
    }

    public void setAppId(Integer appId) {
        this.appId = appId;
    }

    public String getApkName() {
        return apkName;
    }

    public void setApkName(String apkName) {
        this.apkName = apkName == null ? null : apkName.trim();
    }

    public Integer getApkSize() {
        return apkSize;
    }

    public void setApkSize(Integer apkSize) {
        this.apkSize = apkSize;
    }

    public String getApkVersion() {
        return apkVersion;
    }

    public void setApkVersion(String apkVersion) {
        this.apkVersion = apkVersion == null ? null : apkVersion.trim();
    }

    public String getApkDownloadPath() {
        return apkDownloadPath;
    }

    public void setApkDownloadPath(String apkDownloadPath) {
        this.apkDownloadPath = apkDownloadPath == null ? null : apkDownloadPath.trim();
    }

    public String getApkReleaseNote() {
        return apkReleaseNote;
    }

    public void setApkReleaseNote(String apkReleaseNote) {
        this.apkReleaseNote = apkReleaseNote == null ? null : apkReleaseNote.trim();
    }

    public Integer getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Integer createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}